Package org.apache.wiki.ui.admin.beans

## Class PluginBean

- java.lang.Object
- - org.apache.wiki.management.SimpleMBean
  - - org.apache.wiki.ui.admin.SimpleAdminBean
    - - org.apache.wiki.ui.admin.beans.ModuleBean
      - - org.apache.wiki.ui.admin.beans.PluginBean

All Implemented Interfaces:
  `javax.management.DynamicMBean`, `AdminBean`, `GenericHTTPHandler`

    public class PluginBean
    extends ModuleBean

### Field Summary

### Fields inherited from class org.apache.wiki.ui.admin.SimpleAdminBean

`m_engine`

### Fields inherited from class org.apache.wiki.management.SimpleMBean

`m_beanInfo`

### Fields inherited from interface org.apache.wiki.ui.admin.AdminBean

`CORE, EDITOR, UNKNOWN`

### Constructor Summary

Constructors
`PluginBean​(Engine engine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getTitle()` Return a human-readable title for this AdminBean.
`int` `getType()` Returns a type (UNKNOWN, EDITOR, etc).
`protected org.jdom2.Element` `heading()` html blob describing the values of each `WikiModuleInfo` inspected.
`protected java.util.Collection<WikiModuleInfo>` `modules()` Obtains the collection of modules which is going to be inspected at `ModuleBean.doGet(Context)`.
`protected org.jdom2.Element` `rowBody​(WikiModuleInfo plugin)` html blob describing`Element` describing attributes

### Methods inherited from class org.apache.wiki.ui.admin.beans.ModuleBean

`containerForModuleDetail, doGet, getAttributeNames, getMethodNames, title, validModuleVersion`

### Methods inherited from class org.apache.wiki.ui.admin.SimpleAdminBean

`doPost, getId, initialize`

### Methods inherited from class org.apache.wiki.management.SimpleMBean

`getAttribute, getAttributes, getDescription, getMBeanInfo, invoke, setAttribute, setAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginBean

    public PluginBean​(Engine engine)
               throws javax.management.NotCompliantMBeanException

Throws:
  `javax.management.NotCompliantMBeanException`

### Method Detail

#### getTitle

    public java.lang.String getTitle()

Return a human-readable title for this AdminBean.

Returns:
  the bean's title

#### getType

    public int getType()

Returns a type (UNKNOWN, EDITOR, etc).

Returns:
  the bean's type

#### modules

    protected java.util.Collection<WikiModuleInfo> modules()

Obtains the collection of modules which is going to be inspected at `ModuleBean.doGet(Context)`.

Specified by:
  `modules` in class `ModuleBean`
Returns:
  a collection of `WikiModuleInfo`

#### heading

    protected org.jdom2.Element heading()

html blob describing the values of each `WikiModuleInfo` inspected.

Specified by:
  `heading` in class `ModuleBean`
Returns:
  `Element` describing the values of each `WikiModuleInfo` inspected.

#### rowBody

    protected org.jdom2.Element rowBody​(WikiModuleInfo plugin)

html blob describing`Element` describing attributes

Specified by:
  `rowBody` in class `ModuleBean`
Parameters:
  `plugin` - `WikiModuleInfo` inspected.
Returns:
  `Element` describing the `Element` inspected.